%define upstream_name    WWW-Form-UrlEncoded
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Pure-perl parser and builder for application/x-www-form-urlencoded
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(JSON::PP) >= 2.0.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
WWW::Form::UrlEncoded provides application/x-www-form-urlencoded parser and
builder. This module aims to have compatibility with other CPAN modules
like HTTP::Body's urlencoded parser.

This module try to use the WWW::Form::UrlEncoded::XS manpage by default and
fail to it, use WWW::Form::UrlEncoded::PP instead

Parser rules
    WWW::Form::UrlEncoded parsed string in this rule.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -i -p -e 's/0/1/g if /allow_pureperl/' Build.PL
%{__perl} -i -p -e 's/builder::MyBuilder/Module::Build/g' Build.PL
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.260.0-4.mga10
+ Revision: 2205610
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.260.0-3.mga9
+ Revision: 1811678
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.260.0-2.mga8
+ Revision: 1526791
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.260.0-1.mga8
+ Revision: 1415771
- update to 0.26

* Thu Sep 27 2018 tv <tv> 0.250.0-1.mga7
+ Revision: 1308105
- update to 0.25

* Thu Sep 20 2018 umeabot <umeabot> 0.240.0-3.mga7
+ Revision: 1287155
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.240.0-2.mga7
+ Revision: 1132019
- Fix platform specific paths.

* Fri Jul 28 2017 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1131838
- imported package perl-WWW-Form-UrlEncoded


* Fri Jul 28 2017 cpan2dist 0.24-1mga
- initial mageia release, generated with cpan2dist
